{varType Skadmin\ChildrensCamp\Doctrine\ChildrensCamp\ChildrensCamp $childrensCamp}

{snippetArea snipForm}
    {form form}
        <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

        <div class="row">
            <h3 class="col-12 mt-3">
                Informace o táborníkovi
            </h3>
        </div>

        <div class="row">
            <div class="col-12 col-md-6">
                {include #drawLabel $form, 'childFirstName'}
                <div class="form-group">
                    {input childFirstName class => 'form-control'}
                </div>
            </div>

            <div class="col-12 col-md-6">
                {include #drawLabel $form, 'childLastName'}
                <div class="form-group">
                    {input childLastName class => 'form-control'}
                </div>
            </div>

            <div class="col-12 col-md-6">
                {include #drawLabel $form, 'personalIdentificationNumber'}
                <div class="form-group">
                    {input personalIdentificationNumber class => 'form-control'}
                </div>
            </div>

            <div class="col-12 col-md-6">
                {include #drawLabel $form, 'birthdate'}
                <div class="form-group">
                    {input birthdate class => 'form-control', autocomplete => 'off'}
                </div>
            </div>
        </div>

        <div class="row">
            <h3 class="col-12 mt-2">
                Adresa
            </h3>
        </div>

        <div class="row">
            <div class="col-12 col-md-5">
                {include #drawLabel $form, 'street'}
                <div class="form-group">
                    {input street class => 'form-control'}
                </div>
            </div>

            <div class="col-12 col-md-4">
                {include #drawLabel $form, 'city'}
                <div class="form-group">
                    {input city class => 'form-control'}
                </div>
            </div>

            <div class="col-12 col-md-3">
                {include #drawLabel $form, 'zipCode'}
                <div class="form-group">
                    {input zipCode class => 'form-control'}
                </div>
            </div>
        </div>

        <div class="row">
            <h3 class="col-12 mt-2">
                Kontakt na zákonného zástupce
            </h3>
        </div>

        <div class="row">
            <div class="col-12">
                {include #drawLabel $form, 'contactEmail'}
                <div class="form-group">
                    {input contactEmail class => 'form-control'}
                </div>
            </div>

            <div class="col-12 col-md-6">
                {include #drawLabel $form, 'motherName'}
                <div class="form-group">
                    {input motherName class => 'form-control'}
                </div>
            </div>

            <div class="col-12 col-md-6">
                {include #drawLabel $form, 'motherPhone'}
                <div class="form-group">
                    {input motherPhone class => 'form-control'}
                </div>
            </div>

            <div class="col-12 col-md-6">
                {include #drawLabel $form, 'fatherName'}
                <div class="form-group">
                    {input fatherName class => 'form-control'}
                </div>
            </div>

            <div class="col-12 col-md-6">
                {include #drawLabel $form, 'fatherPhone'}
                <div class="form-group">
                    {input fatherPhone class => 'form-control'}
                </div>
            </div>

            <div class="col-12 col-md-6">
                {include #drawLabel $form, 'legalRepresentativeName'}
                <div class="form-group">
                    {input legalRepresentativeName class => 'form-control'}
                </div>
            </div>

            <div class="col-12 col-md-6">
                {include #drawLabel $form, 'legalRepresentativePhone'}
                <div class="form-group">
                    {input legalRepresentativePhone class => 'form-control'}
                </div>
            </div>
        </div>

        <div class="row">
            <h3 class="col-12 mt-2">
                Doprava a platba
            </h3>
        </div>

        <div class="row">
            <div class="col-12 col-md-6">
                {include #drawLabel $form, 'transport', 'fw-bold'}
                <div class="form-group" n:inner-foreach="$form['transport']->items as $key => $label">
                    <label n:name="transport:$key" class="d-block">
                        <input n:name="transport:$key" class="d-none label-highlight"> {$label}
                    </label>
                </div>

                <div n:if="$transport->getContent()"
                                n:foreach="$childrensCamp->getTransports(true) as $transport"
                        class="small text-muted ps-2 mt-4"
                        id="toggle-transport-{$transport->getId()}">
                    <h6 class="text-black">{$transport->getName()}</h6>
                    {$transport->getContent()|noescape}
                </div>
            </div>

            <div class="col-12 col-md-6">
                {include #drawLabel $form, 'payment', 'fw-bold'}
                <div class="form-group" n:inner-foreach="$form['payment']->items as $key => $label">
                    <label n:name="payment:$key" class="d-block">
                        <input n:name="payment:$key" class="d-none label-highlight"> {$label}
                    </label>
                </div>

                <div n:foreach="$childrensCamp->getPayments(true) as $payment"
                                n:if="$payment->getContent()"
                        class="small text-muted ps-2 mt-4"
                        id="toggle-payment-{$payment->getId()}">
                    <h6 class="text-black">{$payment->getName()}</h6>
                    {$payment->getContent()|noescape}
                </div>
            </div>
        </div>

        <div class="row">
            <h3 class="col-12 mt-2">
                Informace o dítěti
            </h3>
        </div>

        <div class="row">
            <div class="col-12 col-md-6">
                {include #drawLabel $form, 'swimmingSkills'}
                <div class="form-group">
                    {input swimmingSkills class => 'form-control'}
                </div>
            </div>

            <div class="col-12 col-md-6">
                {include #drawLabel $form, 'insuranceCompany'}
                <div class="form-group">
                    {input insuranceCompany class => 'form-control'}
                </div>

                <div>
                    {$form['confirmationForTheInsuranceCompany']|formCheckboxV5}
                </div>
            </div>

            <div class="col-12">
                {include #drawLabel $form, 'healthCondition'}
                <div class="form-group">
                    {input healthCondition class => 'form-control'}
                </div>
            </div>

            <div class="col-12">
                {include #drawLabel $form, 'washingFirst'}
                <div class="form-group">
                    {input washingFirst class => 'form-control'}
                </div>
            </div>

            <div class="col-12">
                {include #drawLabel $form, 'washingSecond'}
                <div class="form-group">
                    {input washingSecond class => 'form-control'}
                </div>
            </div>

            <div class="col-12">
                {include #drawLabel $form, 'washingThird'}
                <div class="form-group">
                    {input washingThird class => 'form-control'}
                </div>
            </div>
        </div>

        <div class="row">
            <h3 class="col-12 mt-2">
                Fakturační údaje
            </h3>
        </div>

        <div class="row">
            <div class="col-12">
                {$form['isInvoice']|formCheckboxV5}
            </div>

            <div class="col-12" id="toggle-invoice">
                <div class="row" n:snippet="snipFormInvoice">
                    <div class="col-12 col-md-6">
                        {include #drawLabel $__form, 'invoiceIN'}
                        <div class="form-group">
                            <input n:name="invoiceIN" class="form-control" data-form-change-link="{link loadFromAres!}"/>
                        </div>
                    </div>

                    <div class="col-12 col-md-6">
                        {include #drawLabel $__form, 'invoiceTIN'}
                        <div class="form-group">
                            {input invoiceTIN class => 'form-control'}
                        </div>
                    </div>

                    <div class="col-12">
                        {include #drawLabel $__form, 'invoiceFirm'}
                        <div class="form-group">
                            {input invoiceFirm class => 'form-control'}
                        </div>
                    </div>

                    <div class="col-12 col-md-5">
                        {include #drawLabel $__form, 'invoiceStreet'}
                        <div class="form-group">
                            {input invoiceStreet class => 'form-control'}
                        </div>
                    </div>

                    <div class="col-12 col-md-4">
                        {include #drawLabel $__form, 'invoiceCity'}
                        <div class="form-group">
                            {input invoiceCity class => 'form-control'}
                        </div>
                    </div>

                    <div class="col-12 col-md-3">
                        {include #drawLabel $__form, 'invoiceZipCode'}
                        <div class="form-group">
                            {input invoiceZipCode class => 'form-control'}
                        </div>
                    </div>

                    <div class="col-12">
                        {include #drawLabel $__form, 'invoiceNote'}
                        <div class="form-group">
                            {input invoiceNote class => 'form-control'}
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row" n:ifset="$form['tshirtColor']">
            <h3 class="col-12 mt-3">
                Táborové tričko
            </h3>
        </div>

        <div class="row" n:ifset="$form['tshirtColor']">
            <div class="col-12">
                {$form['wantTshirt']|formCheckboxV5}
            </div>

            <div class="col-12" id="toggle-tshirt">
                <div class="row">
                    <div class="col-12 col-md-4">
                        {include #drawLabel $form, 'tshirtColor'}
                        <div class="form-group">
                            {input tshirtColor class => 'form-control'}
                        </div>
                    </div>

                    <div class="col-12 col-md-4">
                        {include #drawLabel $form, 'tshirtSize'}
                        <div class="form-group">
                            {input tshirtSize class => 'form-control'}
                        </div>
                    </div>

                    <div class="col-12 col-md-4">
                        {include #drawLabel $form, 'tshirtCount'}
                        <div class="form-group">
                            {input tshirtCount class => 'form-control'}
                        </div>
                    </div>

                    <div class="col-12">
                        {include #drawLabel $form, 'tshirtNote'}
                        <div class="form-group mb-2">
                            {input tshirtNote class => 'form-control'}
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <h3 class="col-12 mt-3">
                Závěrečná poznámka
            </h3>
        </div>

        <div class="row">
            <div class="col-12">
                {include #drawLabel $form, 'note'}
                <div class="form-group">
                    {input note class => 'form-control'}
                </div>
            </div>
        </div>

        {if $childrensCamp->getSupplements()->count() > 0}
            <div class="row mt-4">
                <h3 class="col-12">
                    Příplatky a slevy
                </h3>
            </div>

            <div class="row mb-3">
                <div class="col-12">
                    {foreach $form[price-supplements]->items as $key => $label}
                        {var $supplement = $childrensCamp->getSupplement(intval($key))}
                        <div class="form-group form-check form-switch">
                            {input price-supplements:$key class => 'form-check-input'}
                            {label price-supplements:$key class => 'form-check-label' /}
                            <sup n:if="$supplement !== null && $supplement->getContent() !== ''"
                                    class="fas fa-fw fa-info-circle cursor-help"
                                    data-bs-toggle="popover"
                                    title="{$supplement->getName()}"
                                    data-bs-content="{$supplement->getContent()|noescape}"
                                    data-bs-html="true"
                                    data-bs-trigger="hover"></sup>
                        </div>

                        <div class="small ps-2 text-muted mb-3 d-none"
                             id="js-camp-supplement-{$supplement->getId()}"
                                n:if="$supplement !== null && $supplement->getContent() !== ''">
                            {$supplement->getContent()|noescape}
                        </div>
                    {/foreach}
                </div>
            </div>
        {/if}

        <div class="row mt-2">
            <h3 class="col-12">
                Souhlasy s vedením tábora
            </h3>
        </div>

        <div class="row">
            <div class="col-12">
                {$form['consentToTheCampRules']|formCheckboxV5}
            </div>

            <div class="col-12">
                {$form['consentToPersonalDataProtection']|formCheckboxV5}
            </div>

            <div class="col-12">
                {$form['consentToTheProcessingOfSensitiveData']|formCheckboxV5}
            </div>

            <div class="col-12">
                {$form['permissionToSeparateAChildOnTrip']|formCheckboxV5}
            </div>
        </div>

        <div class="row mt-5">
            <h3 class="col-12">
                Rekapitulace ceny
            </h3>
        </div>

        <div class="row js-camp-price">
            <div class="col-12 border-bottom border-primary py-2">
                <div class="row fw-bold">
                    <div class="col-8">Položka</div>
                    <div class="col-4 text-end">Cena</div>
                </div>
            </div>

            <div class="col-12 pt-2">
                <div class="row" data-camp-price="{$childrensCamp->getPrice()}">
                    <div class="col-8">{$childrensCamp->getName()}</div>
                    <div class="col-4 text-end">{$childrensCamp->getPrice()|number:2:',':' '} Kč</div>
                </div>
            </div>

            <div class="col-12 pt-2 d-none" id="js-toggle-tshirt-price">
                <div class="row js-camp-tshirt" data-camp-price="{$childrensCamp->getTshirtPrice()}">
                    <div class="col-8">
                        Táborové tričko - <span id="js-tshirt-type"></span>
                        <div class="small text-muted" id="js-tshirt-note"></div>
                    </div>
                    <div class="col-4 text-end">{$childrensCamp->getTshirtPrice()|number:2:',':' '} Kč</div>
                </div>
            </div>

            <div class="col-12 pt-2 d-none" n:foreach="$childrensCamp->getSupplements() as $supplement"id="js-camp-supplement-price-{$supplement->getId()}">
                <div class="row" data-camp-price="{$supplement->getPrice(true)}">
                    <div class="col-8">{$supplement->getName()}</div>
                    <div class="col-4 text-end">{$supplement->getPrice(true)|number:2:',':' '} Kč</div>
                </div>
            </div>

            <div class="col-12 border-top border-primary pt-1 mt-2"></div>
            <div class="col-12 border-top border-primary py-2">
                <div class="row fw-bold fs-5">
                    <div class="col-8">Celková cena</div>
                    <div class="col-4 text-end"><span id="js-camp-price-total"></span> Kč</div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-12 mt-4">
                {input send class => 'btn btn-primary w-100 w-lg-auto mb-2'}
            </div>
        </div>

        <script n:syntax="double">
            $(function () {
                function numberFormat(number, decimals = 2, decPoint = ',', thousandsSep = ' ') {
                    number = number.toFixed(decimals);

                    var nstr = number.toString();
                    nstr += '';
                    x = nstr.split('.');
                    x1 = x[0];
                    x2 = x.length > 1 ? decPoint + x[1] : '';
                    var rgx = /(\d+)(\d{3})/;

                    while (rgx.test(x1))
                        x1 = x1.replace(rgx, '$1' + thousandsSep + '$2');

                    return x1 + x2;
                }

                function recalculatePrice() {
                    let price = 0;

                    $('.row[data-camp-price]').each(function () {
                        if (!$(this).parent().hasClass('d-none')) {
                            let count = 1;

                            {{if isset($form['tshirtCount'])}}
                                if ($(this).hasClass('js-camp-tshirt')) {
                                    count = parseInt($('#' + {{$form['tshirtCount']->getHtmlId()}}).val());
                                }
                            {{/if}}

                            price += count * parseFloat($(this).data('camp-price'));
                        }
                    });

                    $('#js-camp-price-total').text(numberFormat(price));
                }

                {{if isset($form['wantTshirt'])}}
                    $('#' + {{$form['wantTshirt']->getHtmlId()}}).change(function () {
                        if ($(this).prop('checked')) {
                            $('#js-toggle-tshirt-price').removeClass('d-none');
                        } else {
                            $('#js-toggle-tshirt-price').addClass('d-none');
                        }

                        recalculatePrice();
                    });
                {{/if}}

                {{if isset($form['tshirtColor'])}}
                    $('#' + {{$form['tshirtColor']->getHtmlId()}} + ',#' + {{$form['tshirtSize']->getHtmlId()}} + ',#' + {{$form['tshirtCount']->getHtmlId()}}).change(function () {
                        let color = $('#' + {{$form['tshirtColor']->getHtmlId()}}).val();
                        let size = $('#' + {{$form['tshirtSize']->getHtmlId()}}).val();
                        let count = $('#' + {{$form['tshirtCount']->getHtmlId()}}).val();

                        $('#js-tshirt-type').text(count + 'x ' + color + '[' + size + ']');
                        recalculatePrice();
                    });
                {{/if}}

                {{if isset($form['tshirtNote'])}}
                    $('#' + {{$form['tshirtNote']->getHtmlId()}}).change(function () {
                        $('#js-tshirt-note').text(this.value);
                    });
                {{/if}}

                $('input[type="checkbox"][id^={{$form['price']['supplements']->getHtmlId()}}]').change(function () {
                    if ($(this).prop('checked')) {
                        $('#js-camp-supplement-' + this.value).removeClass('d-none');
                        $('#js-camp-supplement-price-' + this.value).removeClass('d-none');
                    } else {
                        $('#js-camp-supplement-' + this.value).addClass('d-none');
                        $('#js-camp-supplement-price-' + this.value).addClass('d-none');
                    }
                    recalculatePrice();
                });

                recalculatePrice();
            });
        </script>
    {/form}
{/snippetArea}

{define #drawLabel SkadminUtils\FormControls\UI\Form $form, string $name, string $class = ''}
    <sup n:if="(sprintf('%s.hint', $form[$name]->getCaption())|translate)"
            class="fas fa-fw fa-info-circle cursor-help"
            data-bs-toggle="popover"
            title="{_$form[$name]->getCaption()}"
            data-bs-content="{_sprintf('%s.hint', $form[$name]->getCaption())}"
            data-bs-html="true"
            data-bs-trigger="hover"></sup>
    {label $form[$name] class => $class /}
{/define}